FROM node:lts-alpine
LABEL maintainer="joern-michael.miehe@lenaisten.de"

WORKDIR /srv/vue

RUN set -ex; \
    yarn global add @vue/cli

USER node

VOLUME [ "/home/node" ]

CMD [ "vue", "ui", "-H", "0.0.0.0" ]
